[op25-dev] RE: Package gnuradio-core was not found error

Robert A Klamp Jr. RobertKlamp at aol.com
Thu Jan 16 21:23:47 UTC 2014


Please if you have a step by step or just some good information on the new install process please post it. Linux is not my native operating system and all these PyBombs and things are really confusing. I would be very grateful to get some direction on the matter as you said from one noob to another.

 

Thanks,

Bob

 

From: op25-dev at yahoogroups.com [mailto:op25-dev at yahoogroups.com] On Behalf Of verymetl at hotmail.com
Sent: Thursday, January 16, 2014 1:53 PM
To: op25-dev at yahoogroups.com
Subject: [op25-dev] RE: Package gnuradio-core was not found error

 

  

Hi Max

 

Just a quick note as not to leave you hanging.. Setting the proper run time environment solved all my issues with running the OP25 python scripts. So I think I'm good to go now as far as having a working install. It was really a lot less painful then I expected the whole process to be. I'm now happy I took the plunge.


I'm contemplating wiping the partition and starting fresh, then document it all for others to follow. From one noob to another, so to speak. Due to my inexperience with Linux left me with a messy install anyway. The path to gr-op25_repeater/apps is eight layers deap from home. Too much typing.. heh

I do have several questions, but I'll post those in new topics unrealated to the install process.

Thank again for all the help Max, it's appreciated!

-Scott



---In op25-dev at yahoogroups.com, <ikj1234i at ...> wrote:

Hi Scott

 

Thanks for the update.  First the diff between max-pybombs and max-trunking-update1 does not affect the pybombs installation process at all.  You just need to switch to the max-pybombs branch in order to get access to the recipes.  Once it's installed via either of the two max-* branches you can access the trunking stuff since that's strictly python code changes having nothing to do with pybombs.  The confusion should all go away once the recipes get pushed to master, then there won't be any need to call out a specific branch in pybombs at all.

 

In order to set up the proper run time environment pybombs has a subcommand called 'env'.  So you would run

  ./pybombs env

 

This will write out a file (it will print the file name) which you would then source using the shell (assuming bash shell and assuming pybombs writes out the file named /foo/bar/setup_env.sh), you wo uld do

source /foo/bar/setup_env.sh

 

Once this is done you can then 'cd' to the op25_repeater/apps directory and you should be able to invoke ./scope.py as per the wiki page...

 

Please let us know how you make out and if you have any further questions.< /p>

 

Best

 

Max



-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/op25-dev/attachments/20140116/91137c6d/attachment.html>


More information about the op25-dev mailing list